/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat May 12 19:36:13 BST 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kdbx.h"

static const char *description =
	I18N_NOOP("Kdbx. An application for loading and displaying emails from an Outlook Express 5.5 dbx file");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
	KAboutData aboutData( "kdbx", I18N_NOOP("Kdbx"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2001", 0, 0, "");
	aboutData.addAuthor("Dave Smith",0, "dave.s@earthcorp.com");
	aboutData.addCredit("Ries van Twisk", 0, "ries@franksintl.nl");
	aboutData.addCredit("Wine Team", "For the use of the FILETIME->unix conversion stuff", "");
	
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KdbxApp);
  }
  else 
  {
    KdbxApp *kdbx = new KdbxApp();
    kdbx->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        kdbx->openDocumentFile(args->arg(0));
		}
		else
		{
		  kdbx->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
